com.h3c.sdn.backup

## Class Token

- java.lang.Object
- - com.h3c.sdn.backup.Token

- All Implemented Interfaces:
    Serializable

      public class Token
      extends Object
      implements Serializable

  Token object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token(String uniqueId)` Create Token object
    `Token(String uniqueId, Map<String,String> map)` Create Token object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNodeToken(String nodeId)` Get Token value for a given node identifier.
    `Map<String,String>` | `getNodeTokenMap()` Get NodeToken Map.
    `String` | `getToken()` Get Token value.
    `void` | `setNodeToken(String nodeId, String Tk)` Set Token value for a given node identifier.
    `void` | `setNodeTokenMap(Map<String,String> nodeTokenMp)` Set NodeTokenMap.
    `void` | `setToken(String token)` Set Token value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Token

          public Token(String uniqueId,
               Map<String,String> map)

      Create Token object.
      Parameters:
        `uniqueId` - String
        `map` - Map

    - #### Token

          public Token(String uniqueId)

      Create Token object
      Parameters:
        `uniqueId` - String

  - ### Method Detail

    - #### getToken

          public String getToken()

      Get Token value.
      Returns:
        token String

    - #### setToken

          public void setToken(String token)

      Set Token value.
      Parameters:
        `token` - String

    - #### getNodeTokenMap

          public Map<String,String> getNodeTokenMap()

      Get NodeToken Map.
      Returns:
        nodeTokenMap Map

    - #### setNodeTokenMap

          public void setNodeTokenMap(Map<String,String> nodeTokenMp)

      Set NodeTokenMap.
      Parameters:
        `nodeTokenMp` - Map

    - #### getNodeToken

          public String getNodeToken(String nodeId)

      Get Token value for a given node identifier.
      Parameters:
        `nodeId` - String
      Returns:
        the backup token for a given node id

    - #### setNodeToken

          public void setNodeToken(String nodeId,
                          String Tk)

      Set Token value for a given node identifier.
      Parameters:
        `nodeId` - String
        `Tk` - the backup token

Copyright © 2014. All Rights Reserved.